"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useAddToFavoritesButtonProps(addToFavorites) {
    const [favorited, setFavorited] = (0, react_1.useState)({});
    const toggleIdFavorited = (0, react_1.useCallback)((id) => {
        setFavorited(Object.assign(Object.assign({}, favorited), { [id]: !(favorited === null || favorited === void 0 ? void 0 : favorited[id]) }));
    }, [favorited]);
    const getAddToFavoritesButtonProps = (0, react_1.useCallback)((result, price) => {
        var _a;
        return ({
            className: `${'cio-result-card-favorites-button'} ${(favorited === null || favorited === void 0 ? void 0 : favorited[((_a = result === null || result === void 0 ? void 0 : result.data) === null || _a === void 0 ? void 0 : _a.id) || '0']) ? 'favorited' : ''}`,
            onClick: (e) => {
                var _a, _b;
                addToFavorites(e, result, price, !(favorited === null || favorited === void 0 ? void 0 : favorited[((_a = result === null || result === void 0 ? void 0 : result.data) === null || _a === void 0 ? void 0 : _a.id) || '0']));
                toggleIdFavorited(((_b = result === null || result === void 0 ? void 0 : result.data) === null || _b === void 0 ? void 0 : _b.id) || '0');
            },
            type: 'button',
        });
    }, 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    [favorited, addToFavorites]);
    return getAddToFavoritesButtonProps;
}
exports.default = useAddToFavoritesButtonProps;
