import React, { useContext } from 'react';
import BackButton from '../BackButton/BackButton';
import CTAButton from '../CTAButton/CTAButton';
import QuizContext from '../CioQuiz/context';
function ControlBar(props) {
    const { ctaButtonText } = props;
    const { getNextQuestionButtonProps } = useContext(QuizContext);
    return (React.createElement("div", { className: 'cio-question-buttons-container' },
        React.createElement(BackButton, null),
        React.createElement(CTAButton, { ctaText: ctaButtonText, propsGetters: getNextQuestionButtonProps })));
}
export default ControlBar;
